package nl.amis.tourdefrance.model;

import java.util.ArrayList;
import java.util.List;

public class Stage {
    
    private String from;
    private String to;
    private float totalDistance;
    private int sequence;
    private String type; // contre montre, team suivant, 
    private String date;
    private List<Standing> standings = new ArrayList<Standing>();
    
    public Stage() {
        
    }

    public Stage(float totalDistance, int sequence) {
        super();
        this.totalDistance = totalDistance;
        this.sequence = sequence;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getFrom() {
        return from;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getTo() {
        return to;
    }

    public void setTotalDistance(float totalDistance) {
        this.totalDistance = totalDistance;
    }

    public float getTotalDistance() {
        return totalDistance;
    }

    public void setSequence(int sequence) {
        this.sequence = sequence;
    }

    public int getSequence() {
        return sequence;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getDate() {
        return date;
    }

    public void setStandings(List<Standing> standings) {
        this.standings = standings;
    }

    public List<Standing> getStandings() {
        return standings;
    }
}
